#include "Led_Seg.h"


//------------------------------------------------------------
/**
 *  ֿ
 *  00-090      1       2       3       4       5      6      7      8      9
 *  10-190.     1.      2.      3.      4.      5.     6.     7.     8.     9.
 *  20-29A      B       C       D       E       F      G      H      I      J
 *  30-39K      L       M       N       O       P      Q      R      S      T
 *  40-46U      V       W       X       Y       Z      -
 *  47-56A.     B.      C.      D.      E.      F.     G.     H.     I.     J.
 *  57-66K.     L.      M.      N.      O.      P.     Q.     R.     S.     T.
 * 	67-73U.     V.      W.      X.      Y.      Z.     -.
 * 	74OFF
 */
u8 SEG_Tab[75] = {			
//0   1    2    3    4    5    6    7    8    9 (00~09)
0xC0,0xF9,0xA4,0xB0,0x99,0x92,0x82,0xF8,0x80,0x90,
//0.  1.   2.   3.   4.   5.   6.   7.   8.   9.(10~19)
0x40,0x79,0x24,0x30,0x19,0x12,0x02,0x78,0x00,0x10,
//A   B    C    D    E    F    G    H    I    J (20~29)
0x88,0x83,0xC6,0xA1,0x86,0x8E,0xC2,0x89,0xF0,0xE0,
//K   L    M    N    O    P    Q    R    S    T (30~39)
0x8A,0xC7,0xC8,0xAB,0xA3,0x8C,0x98,0xAF,0xB6,0x87,
//U   V    W    X    Y    Z    -                (40~46)
0xC1,0xE3,0x81,0x9B,0x91,0xA5,0xBF,             
//A.  B.   C.   D.   E.   F.   G.   H.   I.   J.(47~56)
0x08,0x03,0x46,0x21,0x06,0x0E,0x42,0x09,0x70,0x60,
//K.  L.   M.   N.   O.   P.   Q.   R.   S.   T.(57~66)
0x0A,0x47,0x48,0x2B,0x23,0x0C,0x18,0x2F,0x36,0x07,
//U.  V.   W.   X.   Y.   Z.   -.               (67~73)
0x41,0x63,0x01,0x1B,0x11,0x25,0x3F,             
//OFF                                           (74~??)
0xff};
u8 SEG_COM_Tab[8]   = {0x7f, 0xbf, 0xdf, 0xef, 0xf7, 0xfb, 0xfd, 0xfe};  //0~7λ
u8 SEG_Show_Tab[8]  = {46, 46, 46, 46, 46, 46, 46, 46};     //ʾ
u8 bdata LED_Date = 0xff;             //LEDʾıʼȫϨ

sbit LED0 = LED_Date ^ 0;       //LED0
sbit LED1 = LED_Date ^ 1;       //LED1
sbit LED2 = LED_Date ^ 2;       //LED2
sbit LED3 = LED_Date ^ 3;       //LED3
sbit LED4 = LED_Date ^ 4;       //LED4
sbit LED5 = LED_Date ^ 5;       //LED5
sbit LED6 = LED_Date ^ 6;       //LED6
sbit LED7 = LED_Date ^ 7;       //LED7



//------------------------------------------------------------

/**
 * @name SEG_LED_Show
 * @brief ѭˢ8λܺ8LED
 * @param 
 * @return 
 * @version 汾v1.0
 * @date ڣ2023-12-17
 * @author ߣϫ
 * @note עͣǰ8msˢ8λ룬9msˢ8LED10msգӦ1msһΣ
 */
void SEG_LED_Show(void)
{
    static u8 num = 0; // ̬

    if (num <= 7)       //8λܵˢ
    {
        LED_POW = 1;    //رLEDĵԴ
        SEG_COM = SEG_COM_Tab[num];                 //ѡӦܵλ
        SEG_LED = SEG_Tab[SEG_Show_Tab[num]];       //ѡӦʾ
    }
    else if (num <= 8)      //LEDˢ
    {
        LED_POW = 0;            //LEDĵԴ
        SEG_COM = 0XFF;         //رʾ
        SEG_LED = LED_Date;     //LED״̬
    }
    else
    {
        LED_POW = 1;            //رLEDĵԴ
        SEG_COM = 0XFF;         //رʾ
        SEG_LED = 0XFF;         //رLED״̬
    }
    num++;
    if(num >= 10)
        num = 0;
}


